import json

def main():
    data = dict()
    with open("reports.json","r") as fp:
        data = json.load(fp)

    reports_id = dict()
    reports_team = dict()
    teams = []
    sum_team = dict()

    flag = True
    for chunk in data:
        for page_id in chunk:
            for report in chunk[page_id]:
                reports_id[report['id']] = report
                team = report['team']['handle']
                if team in reports_team:
                    reports_team[team].append(report)
                else:
                    teams.append(team)
                    reports_team[team] = []
                    reports_team[team].append(report)

    for team in reports_team:
        sum_team[team] = len(reports_team[team])

    with open("reports_team.json", "w") as fp:
        json.dump(reports_team, fp)
    with open("sum_team.json", "w") as fp:
        json.dump(sum_team, fp)

if __name__ == "__main__":
    main()
